<?xml version='1.0' encoding='UTF-8'?>
<s0:definitions name="AppTierWSServiceDefinitions" targetNamespace="http://th/co/extosoft/app/ws" xmlns="" xmlns:s0="http://schemas.xmlsoap.org/wsdl/" xmlns:s1="http://th/co/extosoft/app/ws" xmlns:s2="http://schemas.xmlsoap.org/wsdl/soap/">
  <s0:types>
    <xs:schema attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://th/co/extosoft/app/ws" xmlns:xs="http://www.w3.org/2001/XMLSchema">
      <xs:element name="callAddData">
        <xs:complexType>
          <xs:sequence/>
        </xs:complexType>
      </xs:element>
      <xs:element name="callAddDataResponse">
        <xs:complexType>
          <xs:sequence/>
        </xs:complexType>
      </xs:element>
      <xs:element name="callGetData">
        <xs:complexType>
          <xs:sequence/>
        </xs:complexType>
      </xs:element>
      <xs:element name="callGetDataResponse">
        <xs:complexType>
          <xs:sequence/>
        </xs:complexType>
      </xs:element>
      <xs:element name="callDeleteData">
        <xs:complexType>
          <xs:sequence/>
        </xs:complexType>
      </xs:element>
      <xs:element name="callDeleteDataResponse">
        <xs:complexType>
          <xs:sequence/>
        </xs:complexType>
      </xs:element>
      <xs:element name="callUpdateData">
        <xs:complexType>
          <xs:sequence/>
        </xs:complexType>
      </xs:element>
      <xs:element name="callUpdateDataResponse">
        <xs:complexType>
          <xs:sequence/>
        </xs:complexType>
      </xs:element>
    </xs:schema>
  </s0:types>
  <s0:message name="callAddData">
    <s0:part element="s1:callAddData" name="parameters"/>
  </s0:message>
  <s0:message name="callAddDataResponse">
    <s0:part element="s1:callAddDataResponse" name="parameters"/>
  </s0:message>
  <s0:message name="callGetData">
    <s0:part element="s1:callGetData" name="parameters"/>
  </s0:message>
  <s0:message name="callGetDataResponse">
    <s0:part element="s1:callGetDataResponse" name="parameters"/>
  </s0:message>
  <s0:message name="callDeleteData">
    <s0:part element="s1:callDeleteData" name="parameters"/>
  </s0:message>
  <s0:message name="callDeleteDataResponse">
    <s0:part element="s1:callDeleteDataResponse" name="parameters"/>
  </s0:message>
  <s0:message name="callUpdateData">
    <s0:part element="s1:callUpdateData" name="parameters"/>
  </s0:message>
  <s0:message name="callUpdateDataResponse">
    <s0:part element="s1:callUpdateDataResponse" name="parameters"/>
  </s0:message>
  <s0:portType name="AppTierWS">
    <s0:operation name="callAddData" parameterOrder="parameters">
      <s0:input message="s1:callAddData"/>
      <s0:output message="s1:callAddDataResponse"/>
    </s0:operation>
    <s0:operation name="callGetData" parameterOrder="parameters">
      <s0:input message="s1:callGetData"/>
      <s0:output message="s1:callGetDataResponse"/>
    </s0:operation>
    <s0:operation name="callDeleteData" parameterOrder="parameters">
      <s0:input message="s1:callDeleteData"/>
      <s0:output message="s1:callDeleteDataResponse"/>
    </s0:operation>
    <s0:operation name="callUpdateData" parameterOrder="parameters">
      <s0:input message="s1:callUpdateData"/>
      <s0:output message="s1:callUpdateDataResponse"/>
    </s0:operation>
  </s0:portType>
  <s0:binding name="AppTierWSServiceSoapBinding" type="s1:AppTierWS">
    <s2:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <s0:operation name="callAddData">
      <s2:operation style="document"/>
      <s0:input>
        <s2:body parts="parameters" use="literal"/>
      </s0:input>
      <s0:output>
        <s2:body use="literal"/>
      </s0:output>
    </s0:operation>
    <s0:operation name="callGetData">
      <s2:operation style="document"/>
      <s0:input>
        <s2:body parts="parameters" use="literal"/>
      </s0:input>
      <s0:output>
        <s2:body use="literal"/>
      </s0:output>
    </s0:operation>
    <s0:operation name="callDeleteData">
      <s2:operation style="document"/>
      <s0:input>
        <s2:body parts="parameters" use="literal"/>
      </s0:input>
      <s0:output>
        <s2:body use="literal"/>
      </s0:output>
    </s0:operation>
    <s0:operation name="callUpdateData">
      <s2:operation style="document"/>
      <s0:input>
        <s2:body parts="parameters" use="literal"/>
      </s0:input>
      <s0:output>
        <s2:body use="literal"/>
      </s0:output>
    </s0:operation>
  </s0:binding>
  <s0:service name="AppTierWSService">
    <s0:port binding="s1:AppTierWSServiceSoapBinding" name="AppTierWSSoapPort">
      <s2:address location="http://localhost:7001/AppTier/AppTierWS"/>
    </s0:port>
  </s0:service>
</s0:definitions>